GET Customer Accounts Vehicle
Endpoint will return customer account vehicle for the provided customer account
Path Parameters
- Type: stringFormat: uuidcustomer
_account _id requiredCustomer account UUID
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredAPI version
- Type: stringAuthorizationrequired
Authorization header
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for get/customer-accounts/{customer_account_id}/vehicles
curl https://api-public-demo.menu.app/api/customer-accounts/4e42c2a6-3f23-11ed-936c-1a67b454859d/vehicles \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: '
{
"status": "OK",
"code": 200,
"data": [
{
"id": "7dada664-6074-4c3d-ba75-250b142b6913",
"customer_account_id": "69f8ad44-3f23-11ed-936c-1a67b454859d",
"brand_and_model": "Fiat bravo",
"color": "Gray",
"license_plate_number": "CA102FX"
}
]
}